# QLM Portal Password Policy

The QLM Portal uses ASP.NET Membership to authenticate users.

The default password strength of the ASP.NET Membership framework is set to a minimum password length of 7 characters with at least 1 non-alphanumeric character.

If you need to configure your membership provider to enforce specific strong password rules, you can use some very handy regular expressions, or you can set specific max and min requirements for numeric, alphabetic, and alphanumeric characters, by editing the QLM Portal's web.config file.

**Using minimum length and non-alphanumeric character**

{% code overflow="wrap" %}

```xml
<membership defaultProvider="QlmSqlProvider" userIsOnlineTimeWindow="20">
  <providers>
    <add minRequiredPasswordLength=10 minRequiredNonalphanumericCharacters=2 .../>
  </providers>
 </membership>
```

{% endcode %}

**Using regular expression**

{% code overflow="wrap" %}

```xml
<membership defaultProvider="QlmSqlProvider" userIsOnlineTimeWindow="20">
  <providers>
    <add passwordStrengthRegularExpression=
                    "^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,10}$" .../>
  </providers>
 </membership>
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/qlm-portal/qlm-portal-password-policy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
